html {
    --bg: rgb(216, 212, 212);
    --color: rgb(20, 20, 20);
    --accent: rgb(200, 0, 255);

    --textsize: 20px;
    --gap: 40px;
    --padding: 64px;

    background: var(--bg);
    color: var(--color);
    font-size: var(--textsize);
    scroll-behavior: smooth;
    padding: 0;

    font-family: "Clash Display", sans-serif;
}
html, body {
    width: 100%;
    margin: 0;
    overflow-x: hidden;
}
body {
    display: flex;
    flex-direction: column;
    padding: 0 0 var(--padding) 0;
}
.background {
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
}
.bg1 {
    z-index: -10;
    background: linear-gradient(
    to bottom,
    #1F005C 0%,
    #5B0E8D 30%,
    #9B1B9E 50%,
    #E85A4F 70%,
    #F4A261 85%,
    #E9DCA3 100%
  );
}
.bg2 {
    z-index: -9;
    background: var(--bg);
    opacity: .8;
}

p {
    font-size: var(--textsize);
    letter-spacing: default;
    line-height: 1.5;
    margin: 0;
}
h6 {
    margin: 1rem 0;
    font-weight: 600;
    margin: 0;
}
h5 {
    font-size: 1.25rem;
    font-weight: 400;
    margin: 0;
}
h4 {
    font-size: 1.5625rem;
    font-weight: 400;
    margin: 0;
}
h3 {
    font-size: 1.95rem;
    font-weight: 400;
    margin: 0;
}
h2 {
    font-size: 2.441rem;
    font-weight: 400;
    margin: 0;
}
h1 {
    font-size: 3.815rem;
    font-weight: 400;
    margin: 0;
}
mark {
    background: none;
    color: var(--accent);
}

.girlande {
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    height: 240px;
}
header {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: var(--gap);
    padding: var(--padding);
    box-sizing: border-box;
}
.footer {
    flex-wrap: wrap;
}
header div {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: end;
    gap: var(--gap);
}
header a {
    color: var(--color);
    text-decoration: none;
}
header a:hover {
    text-decoration: underline;
}

.startpage {
    padding: calc(var(--padding)) var(--padding) 0 var(--padding);
    gap: var(--gap);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.startpage h1 {
    text-align: center;
}
.startimg {
    height: 140px;
}

.textpage {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    flex-direction: column;
    gap: var(--gap);
}
.evencontainer {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: calc(var(--padding)*2);
    padding: 0 var(--padding);
    box-sizing: border-box;
}
.eventbox {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.eventbox h4, .eventbox p {
    opacity: .7;
}
.eventbox a {
    text-decoration: none;
    color: var(--color);
    opacity: .8;
}
.eventbox a:hover {
    text-decoration: underline;
}
.spacebetween {
    width: 600px;
    max-width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
    gap: 8px;
}
#menubtn {
    display: none;
    position: fixed;
    height: 28px;
    width: 28px;
    border: 12px solid var(--color);
    border-radius: 28px;
    top: var(--padding);
    right: var(--padding);
    cursor: pointer;
}
#menubtn2 {
    position: absolute;
    height: 28px;
    width: 28px;
    border: 12px solid rgba(0, 0, 0, 0);
    background: var(--color);
    border-radius: 28px;
    top: var(--padding);
    right: var(--padding);
    cursor: pointer;
}
#menu {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    background: rgba(216, 212, 212, .8);
    z-index: 100;
    backdrop-filter: blur(8px);
    flex-direction: column;
    padding: calc(var(--padding)*2) var(--padding);
    box-sizing: border-box;
    gap: var(--gap);
}
.menulink {
    text-decoration: none;
    color: var(--color);
}
.menulink:hover {
    text-decoration: underline;
}

@media screen and (width <= 900px) {
    #menubtn {
        display: block;
    }
    .headerlink {
        display: none;
    }
}
@media screen and (width <= 600px) {
    html {
        --padding: 52px;
    }
    .startpage {
        gap: var(--padding);
        padding: var(--padding) var(--padding) 0 var(--padding);
    }
}
@media screen and (width <= 500px) {
    html {
        --textsize: 16px;
        --padding: 40px;
    }
}